WordPress3.4のバグ(お問い合わせプラグインのエラー)

先日、WordPress3.4がリリースされ、
何も考えずにアップロードをしました。

特に表示上に問題はなかったので、
いつも通り使っていたのですが、
納品の最終チェックを行っていたら、なんとお問い合わせのメールが届かなくなった!!
はじめは、SSLをかましたために出てきたエラーかと思っていたのですが、
はずしてもエラーが出てきてしまう・・・。

困ったと思い、google先生に聞いてみたら、
同じように困っている人を発見。
どうも、WordPress3.4のバグのようです。
そして、本日、更新版がリリースされたみたいなので、
もしかするとその修正がされたのかもしれません。
現在はまだ英語版しか出ていないので、アップロードは試していません。

取り急ぎ、お問い合わせメールの修正はこちらです。

wp-includes/class-phpmailer.phpをエディタで開き、
763行目と769行目の、一番最後にある「,$params」
を削除する。

これで無事解決しました。
バージョンアップの時は、細心の注意を払わないといけないですね。

引用元:http://ja.forums.wordpress.org/topic/10749

2012年6月28日